DROP SEQUENCE()

NAME
DROP SEQUENCE - remove a sequence

SYNOPSIS

DROP SEQUENCE name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP SEQUENCE removes sequence number generators.

PARAMETERS

name
    The name (optionally schema-qualified) of a sequence.

CASCADE
    Automatically drop objects that depend on the sequence.

RESTRICT
    Refuse to drop the sequence if any objects depend on it. This is the default.

EXAMPLES

To remove the sequence serial:

DROP SEQUENCE serial;

COMPATIBILITY

There is no DROP SEQUENCE statement in the SQL standard.

SEE ALSO
CREATE SEQUENCE [create_sequence(7)]